cURL
curl --request GET \
--url https://api-stage.tonder.io/api/v1/payments/business/{api_key} \
--header 'Authorization: <api-key>'import requests
url = "https://api-stage.tonder.io/api/v1/payments/business/{api_key}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api-stage.tonder.io/api/v1/payments/business/{api_key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"business": {
"pk": 88,
"name": "QA Test",
"categories": [
{
"pk": 6,
"name": "E-commerce"
}
],
"web": "http://sitioinformatico.com/tonderwp",
"logo": "https://zplit-stage.s3.amazonaws.com/media/business_logos/ftrain_1.png",
"full_logo_url": "https://zplit-stage.s3.amazonaws.com/media/business_logos/ftrain_1.png",
"background_color": "#004080",
"primary_color": "#47a76d",
"checkout_mode": false,
"textCheckoutColor": "#ffffff",
"textDetailsColor": "#ed8201",
"checkout_logo": null
},
"openpay_keys": {
"merchant_id": "mabkc7smuyermmueyxcl",
"public_key": "pk_707d2ac7cc5d43ee881de43be9eea22d"
},
"fintoc_keys": {
"public_key": ""
},
"vault_id": "seaf898c927c4ee1a5b2c58315b6ee0d",
"vault_url": "https://a370a9658141.vault.skyflowapis-preview.com",
"reference": 520961,
"is_installments_available": false
}{
"detail": "Invalid token."
}{
"detail": "Not found."
}List Payment Business
GET
/
payments
/
business
/
{api_key}
cURL
The Authorization needs to be in the following format:
Authorization: Token <YOUR_API_KEY>Authorizations
Path Parameters
Your Tonder API Key. You can recover it on Tonder's dashboard.
Response
Successful response
Contains information about the business.
Show child attributes
Show child attributes
Contains OpenPay keys for the business.
Show child attributes
Show child attributes
Contains Fintoc keys for the business.
Show child attributes
Show child attributes
The identifier for the vault.
Example:
"seaf898c927c4ee1a5b2c58315b6ee0d"
The URL for the vault.
Example:
"https://a370a9658141.vault.skyflowapis-preview.com"
A reference number associated with the business.
Example:
520961
A boolean indicating whether installments are available.
Example:
false
⌘I

